import * as redux from 'redux';
import * as _reduxjs_toolkit from '@reduxjs/toolkit';
import * as immer from 'immer';

declare const sliceName = "organization";
declare const initialState: {
    card: {
        last4: string;
        expiration: {
            month: number;
            year: number;
        };
        brand: string;
    };
    intentId: null;
    tenantList: {
        total: number;
        tenants: never[];
        selectedTenant: null;
        sort: {
            direction: string;
            key: string;
        };
        page: number;
        perPage: number;
    };
    organization: {};
    auditlog: {
        events: never[];
        selectionState: {
            detail: undefined;
            endDate: undefined;
            selectedIssue: undefined;
            sort: {
                direction: string;
            };
            startDate: undefined;
            total: number;
            type: undefined;
            user: undefined;
            page: number;
            perPage: number;
        };
    };
    externalDeviceIntegrations: never[];
    ssoConfigs: never[];
    webhooks: {
        events: never[];
        eventsTotal: number;
    };
};
declare const organizationSlice: _reduxjs_toolkit.Slice<{
    card: {
        last4: string;
        expiration: {
            month: number;
            year: number;
        };
        brand: string;
    };
    intentId: null;
    tenantList: {
        total: number;
        tenants: never[];
        selectedTenant: null;
        sort: {
            direction: string;
            key: string;
        };
        page: number;
        perPage: number;
    };
    organization: {};
    auditlog: {
        events: never[];
        selectionState: {
            detail: undefined;
            endDate: undefined;
            selectedIssue: undefined;
            sort: {
                direction: string;
            };
            startDate: undefined;
            total: number;
            type: undefined;
            user: undefined;
            page: number;
            perPage: number;
        };
    };
    externalDeviceIntegrations: never[];
    ssoConfigs: never[];
    webhooks: {
        events: never[];
        eventsTotal: number;
    };
}, {
    receiveAuditLogs: (state: immer.WritableDraft<{
        card: {
            last4: string;
            expiration: {
                month: number;
                year: number;
            };
            brand: string;
        };
        intentId: null;
        tenantList: {
            total: number;
            tenants: never[];
            selectedTenant: null;
            sort: {
                direction: string;
                key: string;
            };
            page: number;
            perPage: number;
        };
        organization: {};
        auditlog: {
            events: never[];
            selectionState: {
                detail: undefined;
                endDate: undefined;
                selectedIssue: undefined;
                sort: {
                    direction: string;
                };
                startDate: undefined;
                total: number;
                type: undefined;
                user: undefined;
                page: number;
                perPage: number;
            };
        };
        externalDeviceIntegrations: never[];
        ssoConfigs: never[];
        webhooks: {
            events: never[];
            eventsTotal: number;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setAuditLogState: (state: immer.WritableDraft<{
        card: {
            last4: string;
            expiration: {
                month: number;
                year: number;
            };
            brand: string;
        };
        intentId: null;
        tenantList: {
            total: number;
            tenants: never[];
            selectedTenant: null;
            sort: {
                direction: string;
                key: string;
            };
            page: number;
            perPage: number;
        };
        organization: {};
        auditlog: {
            events: never[];
            selectionState: {
                detail: undefined;
                endDate: undefined;
                selectedIssue: undefined;
                sort: {
                    direction: string;
                };
                startDate: undefined;
                total: number;
                type: undefined;
                user: undefined;
                page: number;
                perPage: number;
            };
        };
        externalDeviceIntegrations: never[];
        ssoConfigs: never[];
        webhooks: {
            events: never[];
            eventsTotal: number;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    receiveCurrentCard: (state: immer.WritableDraft<{
        card: {
            last4: string;
            expiration: {
                month: number;
                year: number;
            };
            brand: string;
        };
        intentId: null;
        tenantList: {
            total: number;
            tenants: never[];
            selectedTenant: null;
            sort: {
                direction: string;
                key: string;
            };
            page: number;
            perPage: number;
        };
        organization: {};
        auditlog: {
            events: never[];
            selectionState: {
                detail: undefined;
                endDate: undefined;
                selectedIssue: undefined;
                sort: {
                    direction: string;
                };
                startDate: undefined;
                total: number;
                type: undefined;
                user: undefined;
                page: number;
                perPage: number;
            };
        };
        externalDeviceIntegrations: never[];
        ssoConfigs: never[];
        webhooks: {
            events: never[];
            eventsTotal: number;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    receiveSetupIntent: (state: immer.WritableDraft<{
        card: {
            last4: string;
            expiration: {
                month: number;
                year: number;
            };
            brand: string;
        };
        intentId: null;
        tenantList: {
            total: number;
            tenants: never[];
            selectedTenant: null;
            sort: {
                direction: string;
                key: string;
            };
            page: number;
            perPage: number;
        };
        organization: {};
        auditlog: {
            events: never[];
            selectionState: {
                detail: undefined;
                endDate: undefined;
                selectedIssue: undefined;
                sort: {
                    direction: string;
                };
                startDate: undefined;
                total: number;
                type: undefined;
                user: undefined;
                page: number;
                perPage: number;
            };
        };
        externalDeviceIntegrations: never[];
        ssoConfigs: never[];
        webhooks: {
            events: never[];
            eventsTotal: number;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setOrganization: (state: immer.WritableDraft<{
        card: {
            last4: string;
            expiration: {
                month: number;
                year: number;
            };
            brand: string;
        };
        intentId: null;
        tenantList: {
            total: number;
            tenants: never[];
            selectedTenant: null;
            sort: {
                direction: string;
                key: string;
            };
            page: number;
            perPage: number;
        };
        organization: {};
        auditlog: {
            events: never[];
            selectionState: {
                detail: undefined;
                endDate: undefined;
                selectedIssue: undefined;
                sort: {
                    direction: string;
                };
                startDate: undefined;
                total: number;
                type: undefined;
                user: undefined;
                page: number;
                perPage: number;
            };
        };
        externalDeviceIntegrations: never[];
        ssoConfigs: never[];
        webhooks: {
            events: never[];
            eventsTotal: number;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setTenantListState: (state: immer.WritableDraft<{
        card: {
            last4: string;
            expiration: {
                month: number;
                year: number;
            };
            brand: string;
        };
        intentId: null;
        tenantList: {
            total: number;
            tenants: never[];
            selectedTenant: null;
            sort: {
                direction: string;
                key: string;
            };
            page: number;
            perPage: number;
        };
        organization: {};
        auditlog: {
            events: never[];
            selectionState: {
                detail: undefined;
                endDate: undefined;
                selectedIssue: undefined;
                sort: {
                    direction: string;
                };
                startDate: undefined;
                total: number;
                type: undefined;
                user: undefined;
                page: number;
                perPage: number;
            };
        };
        externalDeviceIntegrations: never[];
        ssoConfigs: never[];
        webhooks: {
            events: never[];
            eventsTotal: number;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    receiveExternalDeviceIntegrations: (state: immer.WritableDraft<{
        card: {
            last4: string;
            expiration: {
                month: number;
                year: number;
            };
            brand: string;
        };
        intentId: null;
        tenantList: {
            total: number;
            tenants: never[];
            selectedTenant: null;
            sort: {
                direction: string;
                key: string;
            };
            page: number;
            perPage: number;
        };
        organization: {};
        auditlog: {
            events: never[];
            selectionState: {
                detail: undefined;
                endDate: undefined;
                selectedIssue: undefined;
                sort: {
                    direction: string;
                };
                startDate: undefined;
                total: number;
                type: undefined;
                user: undefined;
                page: number;
                perPage: number;
            };
        };
        externalDeviceIntegrations: never[];
        ssoConfigs: never[];
        webhooks: {
            events: never[];
            eventsTotal: number;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    receiveSsoConfigs: (state: immer.WritableDraft<{
        card: {
            last4: string;
            expiration: {
                month: number;
                year: number;
            };
            brand: string;
        };
        intentId: null;
        tenantList: {
            total: number;
            tenants: never[];
            selectedTenant: null;
            sort: {
                direction: string;
                key: string;
            };
            page: number;
            perPage: number;
        };
        organization: {};
        auditlog: {
            events: never[];
            selectionState: {
                detail: undefined;
                endDate: undefined;
                selectedIssue: undefined;
                sort: {
                    direction: string;
                };
                startDate: undefined;
                total: number;
                type: undefined;
                user: undefined;
                page: number;
                perPage: number;
            };
        };
        externalDeviceIntegrations: never[];
        ssoConfigs: never[];
        webhooks: {
            events: never[];
            eventsTotal: number;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    receiveWebhookEvents: (state: immer.WritableDraft<{
        card: {
            last4: string;
            expiration: {
                month: number;
                year: number;
            };
            brand: string;
        };
        intentId: null;
        tenantList: {
            total: number;
            tenants: never[];
            selectedTenant: null;
            sort: {
                direction: string;
                key: string;
            };
            page: number;
            perPage: number;
        };
        organization: {};
        auditlog: {
            events: never[];
            selectionState: {
                detail: undefined;
                endDate: undefined;
                selectedIssue: undefined;
                sort: {
                    direction: string;
                };
                startDate: undefined;
                total: number;
                type: undefined;
                user: undefined;
                page: number;
                perPage: number;
            };
        };
        externalDeviceIntegrations: never[];
        ssoConfigs: never[];
        webhooks: {
            events: never[];
            eventsTotal: number;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
}, "organization", "organization", _reduxjs_toolkit.SliceSelectors<{
    card: {
        last4: string;
        expiration: {
            month: number;
            year: number;
        };
        brand: string;
    };
    intentId: null;
    tenantList: {
        total: number;
        tenants: never[];
        selectedTenant: null;
        sort: {
            direction: string;
            key: string;
        };
        page: number;
        perPage: number;
    };
    organization: {};
    auditlog: {
        events: never[];
        selectionState: {
            detail: undefined;
            endDate: undefined;
            selectedIssue: undefined;
            sort: {
                direction: string;
            };
            startDate: undefined;
            total: number;
            type: undefined;
            user: undefined;
            page: number;
            perPage: number;
        };
    };
    externalDeviceIntegrations: never[];
    ssoConfigs: never[];
    webhooks: {
        events: never[];
        eventsTotal: number;
    };
}>>;
declare const actions: _reduxjs_toolkit.CaseReducerActions<{
    receiveAuditLogs: (state: immer.WritableDraft<{
        card: {
            last4: string;
            expiration: {
                month: number;
                year: number;
            };
            brand: string;
        };
        intentId: null;
        tenantList: {
            total: number;
            tenants: never[];
            selectedTenant: null;
            sort: {
                direction: string;
                key: string;
            };
            page: number;
            perPage: number;
        };
        organization: {};
        auditlog: {
            events: never[];
            selectionState: {
                detail: undefined;
                endDate: undefined;
                selectedIssue: undefined;
                sort: {
                    direction: string;
                };
                startDate: undefined;
                total: number;
                type: undefined;
                user: undefined;
                page: number;
                perPage: number;
            };
        };
        externalDeviceIntegrations: never[];
        ssoConfigs: never[];
        webhooks: {
            events: never[];
            eventsTotal: number;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setAuditLogState: (state: immer.WritableDraft<{
        card: {
            last4: string;
            expiration: {
                month: number;
                year: number;
            };
            brand: string;
        };
        intentId: null;
        tenantList: {
            total: number;
            tenants: never[];
            selectedTenant: null;
            sort: {
                direction: string;
                key: string;
            };
            page: number;
            perPage: number;
        };
        organization: {};
        auditlog: {
            events: never[];
            selectionState: {
                detail: undefined;
                endDate: undefined;
                selectedIssue: undefined;
                sort: {
                    direction: string;
                };
                startDate: undefined;
                total: number;
                type: undefined;
                user: undefined;
                page: number;
                perPage: number;
            };
        };
        externalDeviceIntegrations: never[];
        ssoConfigs: never[];
        webhooks: {
            events: never[];
            eventsTotal: number;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    receiveCurrentCard: (state: immer.WritableDraft<{
        card: {
            last4: string;
            expiration: {
                month: number;
                year: number;
            };
            brand: string;
        };
        intentId: null;
        tenantList: {
            total: number;
            tenants: never[];
            selectedTenant: null;
            sort: {
                direction: string;
                key: string;
            };
            page: number;
            perPage: number;
        };
        organization: {};
        auditlog: {
            events: never[];
            selectionState: {
                detail: undefined;
                endDate: undefined;
                selectedIssue: undefined;
                sort: {
                    direction: string;
                };
                startDate: undefined;
                total: number;
                type: undefined;
                user: undefined;
                page: number;
                perPage: number;
            };
        };
        externalDeviceIntegrations: never[];
        ssoConfigs: never[];
        webhooks: {
            events: never[];
            eventsTotal: number;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    receiveSetupIntent: (state: immer.WritableDraft<{
        card: {
            last4: string;
            expiration: {
                month: number;
                year: number;
            };
            brand: string;
        };
        intentId: null;
        tenantList: {
            total: number;
            tenants: never[];
            selectedTenant: null;
            sort: {
                direction: string;
                key: string;
            };
            page: number;
            perPage: number;
        };
        organization: {};
        auditlog: {
            events: never[];
            selectionState: {
                detail: undefined;
                endDate: undefined;
                selectedIssue: undefined;
                sort: {
                    direction: string;
                };
                startDate: undefined;
                total: number;
                type: undefined;
                user: undefined;
                page: number;
                perPage: number;
            };
        };
        externalDeviceIntegrations: never[];
        ssoConfigs: never[];
        webhooks: {
            events: never[];
            eventsTotal: number;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setOrganization: (state: immer.WritableDraft<{
        card: {
            last4: string;
            expiration: {
                month: number;
                year: number;
            };
            brand: string;
        };
        intentId: null;
        tenantList: {
            total: number;
            tenants: never[];
            selectedTenant: null;
            sort: {
                direction: string;
                key: string;
            };
            page: number;
            perPage: number;
        };
        organization: {};
        auditlog: {
            events: never[];
            selectionState: {
                detail: undefined;
                endDate: undefined;
                selectedIssue: undefined;
                sort: {
                    direction: string;
                };
                startDate: undefined;
                total: number;
                type: undefined;
                user: undefined;
                page: number;
                perPage: number;
            };
        };
        externalDeviceIntegrations: never[];
        ssoConfigs: never[];
        webhooks: {
            events: never[];
            eventsTotal: number;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setTenantListState: (state: immer.WritableDraft<{
        card: {
            last4: string;
            expiration: {
                month: number;
                year: number;
            };
            brand: string;
        };
        intentId: null;
        tenantList: {
            total: number;
            tenants: never[];
            selectedTenant: null;
            sort: {
                direction: string;
                key: string;
            };
            page: number;
            perPage: number;
        };
        organization: {};
        auditlog: {
            events: never[];
            selectionState: {
                detail: undefined;
                endDate: undefined;
                selectedIssue: undefined;
                sort: {
                    direction: string;
                };
                startDate: undefined;
                total: number;
                type: undefined;
                user: undefined;
                page: number;
                perPage: number;
            };
        };
        externalDeviceIntegrations: never[];
        ssoConfigs: never[];
        webhooks: {
            events: never[];
            eventsTotal: number;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    receiveExternalDeviceIntegrations: (state: immer.WritableDraft<{
        card: {
            last4: string;
            expiration: {
                month: number;
                year: number;
            };
            brand: string;
        };
        intentId: null;
        tenantList: {
            total: number;
            tenants: never[];
            selectedTenant: null;
            sort: {
                direction: string;
                key: string;
            };
            page: number;
            perPage: number;
        };
        organization: {};
        auditlog: {
            events: never[];
            selectionState: {
                detail: undefined;
                endDate: undefined;
                selectedIssue: undefined;
                sort: {
                    direction: string;
                };
                startDate: undefined;
                total: number;
                type: undefined;
                user: undefined;
                page: number;
                perPage: number;
            };
        };
        externalDeviceIntegrations: never[];
        ssoConfigs: never[];
        webhooks: {
            events: never[];
            eventsTotal: number;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    receiveSsoConfigs: (state: immer.WritableDraft<{
        card: {
            last4: string;
            expiration: {
                month: number;
                year: number;
            };
            brand: string;
        };
        intentId: null;
        tenantList: {
            total: number;
            tenants: never[];
            selectedTenant: null;
            sort: {
                direction: string;
                key: string;
            };
            page: number;
            perPage: number;
        };
        organization: {};
        auditlog: {
            events: never[];
            selectionState: {
                detail: undefined;
                endDate: undefined;
                selectedIssue: undefined;
                sort: {
                    direction: string;
                };
                startDate: undefined;
                total: number;
                type: undefined;
                user: undefined;
                page: number;
                perPage: number;
            };
        };
        externalDeviceIntegrations: never[];
        ssoConfigs: never[];
        webhooks: {
            events: never[];
            eventsTotal: number;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    receiveWebhookEvents: (state: immer.WritableDraft<{
        card: {
            last4: string;
            expiration: {
                month: number;
                year: number;
            };
            brand: string;
        };
        intentId: null;
        tenantList: {
            total: number;
            tenants: never[];
            selectedTenant: null;
            sort: {
                direction: string;
                key: string;
            };
            page: number;
            perPage: number;
        };
        organization: {};
        auditlog: {
            events: never[];
            selectionState: {
                detail: undefined;
                endDate: undefined;
                selectedIssue: undefined;
                sort: {
                    direction: string;
                };
                startDate: undefined;
                total: number;
                type: undefined;
                user: undefined;
                page: number;
                perPage: number;
            };
        };
        externalDeviceIntegrations: never[];
        ssoConfigs: never[];
        webhooks: {
            events: never[];
            eventsTotal: number;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
}, "organization">;
declare const _default: redux.Reducer<{
    card: {
        last4: string;
        expiration: {
            month: number;
            year: number;
        };
        brand: string;
    };
    intentId: null;
    tenantList: {
        total: number;
        tenants: never[];
        selectedTenant: null;
        sort: {
            direction: string;
            key: string;
        };
        page: number;
        perPage: number;
    };
    organization: {};
    auditlog: {
        events: never[];
        selectionState: {
            detail: undefined;
            endDate: undefined;
            selectedIssue: undefined;
            sort: {
                direction: string;
            };
            startDate: undefined;
            total: number;
            type: undefined;
            user: undefined;
            page: number;
            perPage: number;
        };
    };
    externalDeviceIntegrations: never[];
    ssoConfigs: never[];
    webhooks: {
        events: never[];
        eventsTotal: number;
    };
}>;

export { actions, _default as default, initialState, organizationSlice, sliceName };
